你的位置:首页 > 操作系统

[操作系统]android 关于appcompat v7出错问题与解决


1.appcompat_v7:应用兼容包,V7说的是版本7,即android2.1,这个兼容包支持2.1版本以上系统
2.最近谷歌官方将兼容jar包与某些资源文件单独拿出来建立了一个android工程,实际上是一个资源库,右击此项目进入build path-点击android,你会发现is library打了勾,说明它是库。其实这个库可以被多个项目共用,库中已经包含了v7.jar包,还有一些适配性的资源,你可以在开发多个项目时,将一些共用的代码,资源放入库中,方便使用。低版本ADT建立项目时没有自动生成库,不过当我们需要时,可以新建项目,将is library打钩即可。高版本ADT自动生成库,如果不需要,只需要在你新建的项目上右击Properties -- android -- library下选中库,点击remove移除即可。
3.当你的应用打包或者运行时,库会自动作为项目一部分进行打包编译。
我也是更新之后发现的,看了官方文档了解到得,希望可以帮到你。
4.appcompat v7_3 ,v7是版本号._3是在你eclipse的当时所建立的数量,作为区别